Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.xml.security.wsse
Class SecurityElementFactory

    java.lang.Object
      weblogic.xml.security.wsse.SecurityElementFactory

Deprecated. please use new WS Security API

    public abstract class SecurityElementFactory

extends Object

Constructor Summary
`SecurityElementFactory()` Deprecated.

Method Summary
`abstract Security` | `createSecurity(String role)` Deprecated. Creates a Security element targetted to the designated actor/role.
`abstract Token` | `createToken(String username, String password)` Deprecated. Create a token for the username/password provided, using the default password type.
`abstract Token` | `createToken(String username, String password, String type)` Deprecated. Creates a Token for the username/password using the given password type.
`abstract Token` | `createToken(UserInfo userInfo)` Deprecated. Creates a token for the given userInfo using the default password type.
`abstract Token` | `createToken(X509Certificate cert, PrivateKey key)` Deprecated. Creates a Token for the provided certificate.
`static SecurityElementFactory` | `getDefaultFactory()` Deprecated. Returns the SecurityElementFactory, i.e.
`static SecurityElementFactory` | `newInstance(String namespace)` Deprecated. Creates a new SecurityElementFactory.
`static void` | `setDefaultFactory(SecurityElementFactory factory)` Deprecated. sets the defaultFactory to the provided factory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityElementFactory

    public SecurityElementFactory()

  Deprecated.

Method Detail

### getDefaultFactory

    public static final SecurityElementFactory getDefaultFactory()

  Deprecated.
  Returns the SecurityElementFactory, i.e. the factory that generates elements for the preferred version of WSSE for the release

  Returns:

### setDefaultFactory

    public static final void setDefaultFactory(SecurityElementFactory factory)

  Deprecated.
  sets the defaultFactory to the provided factory.

  Parameters:
    `factory` -

### newInstance

    public static final SecurityElementFactory newInstance(String namespace)

  Deprecated.
  Creates a new SecurityElementFactory. The factory will generate elements for the specification version designated by the provided namespace.

  Parameters:
    `namespace` -
  Returns:

### createSecurity

    public abstract Security createSecurity(String role)

  Deprecated.
  Creates a Security element targetted to the designated actor/role.

  Parameters:
    `role` - a string
  Returns:
    Security a security element

### createToken

    public abstract Token createToken(String username,
                                      String password,
                                      String type)

  Deprecated.
  Creates a Token for the username/password using the given password type.

  Parameters:
    `username` -
    `password` -
    `type` -
  Returns:

### createToken

    public abstract Token createToken(String username,
                                      String password)

  Deprecated.
  Create a token for the username/password provided, using the default password type.

  Parameters:
    `username` -
    `password` -
  Returns:

### createToken

    public abstract Token createToken(UserInfo userInfo)

  Deprecated.
  Creates a token for the given userInfo using the default password type.

  Parameters:
    `userInfo` -
  Returns:

### createToken

    public abstract Token createToken(X509Certificate cert,
                                      PrivateKey key)

  Deprecated.
  Creates a Token for the provided certificate. The private key should be the private key matching the public key in the certificate. It may be null if the key is not available. Without the private key, the token cannot be used for signing.

  Parameters:
    `cert` -
    `key` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD